Bug 205837 - [WebAuthn] Report CTAP Client Pin Error to clients
Summary: [WebAuthn] Report CTAP Client Pin Error to clients
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2020-01-06 15:35 PST by Jiewen Tan
Modified: 2020-02-07 14:42 PST (History)
4 users (show)

See Also:


Attachments
Patch (61.98 KB, patch)
2020-02-06 15:31 PST, Jiewen Tan
bfulgham: review+
Details | Formatted Diff | Diff
Patch for landing (61.97 KB, patch)
2020-02-07 13:07 PST, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2020-01-06 15:35:20 PST
Report CTAP Client Pin Error to clients.
Comment 1 Radar WebKit Bug Importer 2020-01-06 15:35:51 PST
<rdar://problem/58356872>
Comment 2 Jiewen Tan 2020-02-06 15:31:01 PST
Created attachment 390014 [details]
Patch
Comment 3 Brent Fulgham 2020-02-07 12:54:44 PST
Comment on attachment 390014 [details]
Patch

r=me
Comment 4 Brent Fulgham 2020-02-07 12:59:43 PST
Comment on attachment 390014 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=390014&action=review

> Source/WebKit/ChangeLog:12
> +        All error needs to report back to client to show appropriate UI to guide users for the next step.

Maybe, "All errors should be reported to the client so that appropriate UI can be displayed to users."
Comment 5 Jiewen Tan 2020-02-07 13:05:48 PST
Comment on attachment 390014 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=390014&action=review

Thanks Brent for r+ this patch.

>> Source/WebKit/ChangeLog:12
>> +        All error needs to report back to client to show appropriate UI to guide users for the next step.
> 
> Maybe, "All errors should be reported to the client so that appropriate UI can be displayed to users."

Fixed.
Comment 6 Jiewen Tan 2020-02-07 13:07:45 PST
Created attachment 390117 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2020-02-07 14:16:58 PST
Comment on attachment 390117 [details]
Patch for landing

Clearing flags on attachment: 390117

Committed r256062: <https://trac.webkit.org/changeset/256062>